<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Беседка';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');

switch($_GET['act'])
{
default:

echo '<div class="menu"><img src="'.$HOME.'/design/gradient/lol.png" alt="*" /><div class="divmenu">'.$title.'</div></div>';

if(isset($_REQUEST['ok'])) {

if(!$user['id']) {
header('Location: '.$HOME.'/guest/');
exit();
}

$msg = strong($_POST['msg']);

if(empty($msg) or mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b>Ошибка ввода,минимум 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$qwerty = mysql_fetch_array(mysql_query('select * from `guest` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($qwerty != 0) {
echo '<div class="podmenu"><center><b>Вы такой пост уже писали!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$tim = mysql_query("SELECT * FROM `guest` WHERE `avtor` = '".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `guest` "));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['guest']) {
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$news_antispam['guest'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

mysql_query("INSERT INTO `guest` SET `msg` = '".$msg."', `avtor` = '".$user['id']."', `time` = '".time()."'");
header('Location: '.$HOME.'/guest/');
exit();
}

echo '<div class="podmenu"><center><a href="'.$HOME.'/guest/">Обновить</a> | <a href="'.$HOME.'/smile/">Смайлы</a> | <a href="'.$HOME.'/bb.php">BB коды</a></center></div>';

echo ($user['id'])?'<div class="podmenu"><form action="" method="POST"><textarea name="msg" placeholder="Введите сообщение..."></textarea><br /><input type="submit" name="ok" value="Написать" /></form></div>':'<div class="podmenu"><textarea name="msg" placeholder="Введите сообщение..." disabled="disabled""></textarea><br /><a href="'.$HOME.'/registr.php"><input type="submit" value="Зарегистрируйтесь" /></a></div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(id) FROM `guest`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$guest = mysql_query("SELECT * FROM `guest` ORDER BY `time` DESC LIMIT $start, $max");
while($g = mysql_fetch_assoc($guest))
{
echo '<div class="links">'.nick($g['avtor']).' ('.vremja($g['time']).')<br />';

if($user['level'] >= 1 or $user['id'] == $g['avtor']) echo '[<a href="'.$HOME.'/guest/delmsg'.$g['id'].'">уд</a>]';

echo '</div><div class="podmenu">'.bb(smile($g['msg'])).'</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Пока пусто,будешь первым!</b></center></div>';
if($k_page > 1) echo str(''.$HOME.'/guest/?',$k_page,$page); // Вывод страниц

echo '<div class="menudiv"><a href="'.$HOME.'/" class="k_menu">Назад на главную</div></a>';

break;
case 'delmsg':

$id = abs(intval($_GET['id']));
$gg = mysql_fetch_assoc(mysql_query("SELECT * FROM `guest` WHERE `id` = '".$id."'"));

if(!isset($gg['id'])) {
echo '<div class="title"><a href="'.$HOME.'/guest/">Гостевая книга</a> | Ошибка</div><div class="podmenu"><center><b>Такого сообщения не существует!</b></center></div>';require_once ('../system/footer.php');
exit();
}

if($user['level'] > 1 or $user['id'] == $gg['avtor']) {

mysql_query("DELETE FROM `guest` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/guest/');
exit();
} else {
header('Location: '.$HOME.'/guest/');
exit();
}

break;
}

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>